#include <QPainter>

#include "MergeEditor.h"

MergeEditor::MergeEditor(void)
{
}

MergeEditor::~MergeEditor(void)
{
}

void MergeEditor::setTheirs( QImage* t )
{
	theirs = t;
	scratch = QImage( theirs->size(), QImage::Format_ARGB32_Premultiplied );
	s_alpha = QImage( theirs->size(), QImage::Format_Indexed8 );
	QVector<QRgb> colors(256);
	for ( int i = 0 ; i < 256 ; i++ )
	{
		colors[i] = qRgb( i, i, i );
	}
	s_alpha.setColorTable( colors );
	texture = QPixmap( theirs->size() );
	
	QPainter p( &scratch );
	p.drawImage( 0, 0, *theirs );
}

void MergeEditor::setBlend( int alpha )
{
	if ( !theirs ) return;

	s_alpha.fill( alpha );
	scratch.setAlphaChannel( s_alpha );

	QPainter p( &texture );
	p.drawImage( 0, 0, *yours );
    p.drawImage( 0, 0, scratch );
}
